Hooks:PostHook( BlackMarketTweakData, "_init_weapon_skins", "SilencedRevolverInit", function(self)

	self.weapon_skins.new_raging_bull_bloodsplat.parts.wpn_fps_pis_rage_b_forced = {
		[Idstring("barrel_long"):key()] = {
			pattern = Idstring("units/payday2_cash/safes/shared/pattern/pattern_fade_001_df"),
			pattern_pos = Vector3(-0.241831, -0.0605769, 0),
			pattern_tweak = Vector3(0.443599, 3.34614, 0)
		},
		[Idstring("silencer_large"):key()] = {
			pattern = Idstring("units/payday2_cash/safes/shared/pattern/pattern_fade_001_df"),
			pattern_pos = Vector3(-0.241831, -0.0605769, 0),
			pattern_tweak = Vector3(0.443599, 3.34614, 0)
		}
	}
	
	self.weapon_skins.new_raging_bull_bloodbath.parts.wpn_fps_pis_rage_b_forced = {
		[Idstring("barrel_long"):key()] = {
			pattern_tweak = Vector3(1.06368, 0, 1)
		},
		[Idstring("silencer_large"):key()] = {
			pattern_tweak = Vector3(1.06368, 0, 1)
		}
	}
	
	self.weapon_skins.new_raging_bull_same.parts.wpn_fps_pis_rage_b_forced = {
		[Idstring("barrel_long"):key()] = {
			pattern = "units/payday2_cash/safes/same/pattern/pattern_same_012_df",
			pattern_pos = Vector3(-0.108275, -0.461245, 0),
			pattern_tweak = Vector3(0.72979, 6.26321, 1)
		},
		[Idstring("silencer_large"):key()] = {
			pattern = "units/payday2_cash/safes/same/pattern/pattern_same_012_df",
			pattern_pos = Vector3(0.540425, 2, 0),
			pattern_tweak = Vector3(0.0620104, 0, 1)
		}
	}
	
	self.weapon_skins.new_raging_bull_smosh.parts.wpn_fps_pis_rage_b_forced = {
		[Idstring("barrel_long"):key()] = {
			sticker = "units/payday2_cash/safes/smosh/sticker/smosh_sticker_017_d_df",
			base_gradient = "units/payday2_cash/safes/smosh/base_gradient/base_smosh_017_d_df",
			uv_offset_rot = Vector3(0.111138, 1.03649, 0),
			uv_scale = Vector3(0.677446, 0.677446, 1)
		},
		[Idstring("silencer_large"):key()] = {
			base_gradient = "units/payday2_cash/safes/smosh/base_gradient/base_smosh_017_f_df"
		}
	}
	
	self.weapon_skins.new_raging_bull_cs3.parts.wpn_fps_pis_rage_b_forced = {
		[Idstring("barrel_long"):key()] = {
			pattern = "units/payday2_cash/safes/cs3/pattern/cs3_pattern_009_b_df",
			pattern_gradient = "units/payday2_cash/safes/cs3/pattern_gradient/gradient_cs3_009_df",
			base_gradient = "units/payday2_cash/safes/cs3/base_gradient/base_cs3_013_df",
			pattern_tweak = Vector3(0.74679, 0, 1),
			pattern_pos = Vector3(0.0157406, -0.171514, 0)
		},
		[Idstring("silencer_large"):key()] = {
			pattern = "units/payday2_cash/safes/cs3/pattern/cs3_pattern_009_b_df",
			pattern_gradient = "units/payday2_cash/safes/cs3/pattern_gradient/gradient_cs3_009_df",
			base_gradient = "units/payday2_cash/safes/cs3/base_gradient/base_cs3_013_df",
			pattern_tweak = Vector3(0.950001, 6.27319, 1),
			pattern_pos = Vector3(0.0398201, -0.0324975, 0)
		}
	}
	
	self.weapon_skins.new_raging_bull_cs4.parts.wpn_fps_pis_rage_b_forced = {
		[Idstring("barrel_long"):key()] = {
			pattern = "units/payday2_cash/safes/cs4/pattern/cs4_pattern_015_c_df",
			sticker = "units/payday2_cash/safes/cs4/sticker/cs4_sticker_015_d_df",
			pattern_gradient = "units/payday2_cash/safes/cs4/pattern_gradient/gradient_cs4_015_c_df",
			pattern_tweak = Vector3(1.07089, 0, 1),
			uv_offset_rot = Vector3(-0.395546, 1.01433, 0),
			pattern_pos = Vector3(0.765714, 0.205916, 0),
			cubemap_pattern_control = Vector3(1, 1, 0),
			uv_scale = Vector3(3.3979, 3.3979, 1)
		},
		[Idstring("silencer_large"):key()] = {
			base_gradient = "units/payday2_cash/safes/cs4/base_gradient/base_cs4_015_df"
		}
	}

end)